# HOWTO make SMT Stencils with LASER

This documents how to make solder paste stencils with a LASER
using FlatCAM.

## Equipment Used

* LulzBot TAZ 6.

* J-Tech Photonics 3.8W LASER.

* Graytex Papers "Clear Transparencies for Color Laser Printers" (P/N 235-8511).
5 mil (0.127 mm), clear.


## Software Used

* Debian.

* KiCAD.

* FlatCAM.


# KiCAD
This HOWTO assumes you already have a KiCAD file ready.
You will need to export the paste layers from KiCAD.
This process is for one or two layer boards. You could make
stencils for more layers, but that is only useful if you have a
process to assemble PCBs with more than two layers.

## KiCAD Steps

Do thusly:

* Open your KiCAD `.pro` file.

* Click on "PCB Layout Editor" icon.

* Go to `File` --> `Plot...`.

* `Plot Format`: `Gerber`.

* `Output directory`: Where you would like the output file to go.

* `Included Layers`: Include the one layer you want to create a stencil for.
Example: `F.Paste` for the front solder paste layer or `B.Paste` for the
back solder paste layer.

* Under `General Options`:

* `Plot Border and title block`: Unchecked.

* `Plot footprint values`: Unchecked.

* `Plot footprint references`: Unchecked.

* `Force plotting of invisilble values / refs`: Unchecked.

* `Exclude PCB edge layer from other layers`: Checked.

* `Exclude pads from silkscreen`: Unchecked. XXX confirm.

* `Do not tent vias`: Unchecked.

* `Use auxiliary axis as origin`: Unchecked. XXX confirm.

* `Drill marks`: `None`.

* `Scaling`: `1:1`.

* `Plot mode`: `Filled`

* `Default line width`: `0.1 mm`. XXX confirm.

* `Check zone fills before plotting`: Checked.

* Under `Gerber Options`:

* `Use Protel filename extensions`: Unchecked.

* `Generate Gerber job file`: Unchecked.

* `Subtract soldermask from silkscreen`: Unchecked.

* `Coordinate format`: `4.6, unit mm`. XXX confirm.

* `Use extended X2 format`: Unchecked.

* `Include netlist attributes`: Unchecked.

* Under `Output Messages` show debug as you like. You can `Save...`
the file if you want, but it isn't needed. Useful just for debugging.

* `Run DRC...` button: Don't run this.

* `Generate Drill Files...` button: Don't run this.

* Now that everything is set up, hit the `Plot` button. This
will export a file to the `Output directory` specified above.

* If it says: `Zone fills are out of date. Refill?`, click
`Refill`.

* After `Plot`, hit the `Close` button.

* Exit KiCAD: `File` --> `Exit`.

# FlatCAM
Open FlatCAM and import the Gerber file exported above...
