# HOWTO make SMT Stencils with LASER

This documents how to make solder paste stencils with a LASER
using Inkscape. This is the preferred method over using FlatCAM,
for now.

## Equipment Used

* LulzBot TAZ 6.

* J-Tech Photonics 3.8W LASER.

* Graytex Papers "Clear Transparencies for Color Laser Printers" (P/N 235-8511).
5 mil (0.127 mm), clear.


## Software Used

* Debian.

* KiCAD.

* Inkscape.

* J-Tech Photonics Inkscape Plugin.


# KiCAD
This HOWTO assumes you already have a KiCAD file ready.
You will need to export the paste layers from KiCAD.
This process is for one or two layer boards. You could make
stencils for more layers, but that is only useful if you have a
process to assemble PCBs with more than two layers.

## KiCAD Steps

Do thusly:

* Open your KiCAD `.pro` file.

* Click on "PCB Layout Editor" icon.

* `File` --> `Export` --> `SVG...`.

* `Output directory`: Where you would like the output file to go.

* Under `Layers:`

* Under `Copper Layers:` Uncheck all.

* Under `Technical Layers:`
Include the one layer you want to create a stencil for.
Example: `F.Paste` for the front solder paste layer or `B.Paste` for the
back solder paste layer.

* Under `Options:`

* `Default Pen Size`: `0.05 mm`. XXX confirm.

* `Print Mode`: `Black and white`.

* `SVG Page Size`: `Board area only`.

* `Print Board Edges`: Unchecked.

* `Print mirrored`: Unchecked.

* `Pagination`: `One file per layer`.

* Under `Output Messages` show debug as you like. You can `Save...`
the file if you want, but it isn't needed. Useful just for debugging.

* Now that everything is set up, hit the `Export` button. This
will export a file to the `Output directory` specified above.

* After `Plot`, hit the `Close` button.

* Exit KiCAD: `File` --> `Exit`.
